package com.lstznkj.groundstation.repo;

import com.lstznkj.groundstation.model.Authority;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.CrudRepository;

import java.util.List;

public interface AuthorityRepository extends JpaRepository<Authority,Integer> {

    Authority findAuthorityByName(String name);
    Authority findById(int id);
    List<Authority> findAuthoritiesByApiUrl(String apiUrl);
    Authority findAuthorityByApiUrlAndMethod(String apiUrl,String mehtod);
    boolean existsByName(String name);
    boolean existsByApiUrlAndMethod(String apiUrl,String method);
    boolean existsById(int id);
    Authority deleteById(int id);
}
