package com.lstznkj.groundstation.repo;

import com.lstznkj.groundstation.model.SysRole;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.CrudRepository;

public interface SysRoleRepository extends JpaRepository<SysRole, Integer> {
    SysRole findSysRoleByName(String name);
    boolean existsSysRoleByName(String name);
    SysRole findSysRoleById(int id);
}
