package com.lstznkj.groundstation.repo.crane;


import com.lstznkj.groundstation.model.crane.BaseData;
import com.lstznkj.groundstation.model.crane.DataSource;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.CrudRepository;

import java.sql.Timestamp;
import java.util.List;

public interface BaseDataRepository extends JpaRepository<BaseData,Long> {
    List<BaseData> findByDataSourceAndCreateTimestampBetween(DataSource dataSource, Timestamp createTimestampStart, Timestamp createTimestampEnd);

    BaseData findFirstByAllIgnoreCaseOrderByIdDesc();

    BaseData findFirstByDataSourceOrderByIdDesc(DataSource dataSource);


}
