package com.lstznkj.groundstation.service.crane;


import com.lstznkj.groundstation.model.Result;
import com.lstznkj.groundstation.model.crane.State;
import com.lstznkj.groundstation.repo.crane.StateRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class StateService {
    @Autowired
    private StateRepository stateRepository;

    public Result<List<State>> getAll(){
        Result<List<State>> result=new Result<>();
        try {
            result.setData(stateRepository.findAll());
            result.setSuccess(true);
        }
        catch (Exception ex)
        {
            ex.printStackTrace();
            result.setSuccess(false);
            result.setInfo("未知错误");
        }
        return result;
    }
}
