package com.lstznkj.groundstation.utils;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.lang.reflect.Field;

public class ObjectUtil {
    private Logger logger = LoggerFactory.getLogger(getClass());
    public <T> T deepCopy(T originT,T newT){
        for(Field f1:originT.getClass().getDeclaredFields()){
            f1.setAccessible(true);
            for(Field f2:newT.getClass().getDeclaredFields()){
                try {

                    f2.setAccessible(true);
                    if(f1.getName().equals(f2.getName())){
                        logger.debug("f1:"+f1.getName()+" equals to "+"f2:"+f2.getName());
                        logger.debug("f1:"+f1.getName()+"-"+f1.get(originT)+" ,f2:"+f2.getName()+"-"+f2.get(newT));
                        f1.set(originT,f2.get(newT));
                    }
                }
                catch (Exception ex){
                    ex.printStackTrace();
                }

            }
        }

        return  originT;
    }
}
